#!/bin/sh

[ -f /etc/signup.conf ] && . /etc/signup.conf

[ -z "$PIDFILE" ] && PIDFILE=/var/run/shm/signup.pid
# exit if already running
[ -f $PIDFILE ] && ps `cat $PIDFILE` | grep -q signup && exit 0
echo $$ >$PIDFILE

[ -z "$SERVER" ] && SERVER=svn.x-dsl.hu
[ -z "$LOGF" ] && LOGF=/tmp/signup.log
[ -z "$SLEEPLONG" ] && SLEEPLONG=60
# SLEEPSHORT=30
# RPORT=52223

# /var/run only for root..
[ -z "$LPORT" ] && LPORT=22222
[ -z "$ME" ] && ME=jani
# ME=csongor
# URLP=signup/$ME.$RPORT
URLP=signup/$ME
URL=https://$SERVER/$URLP

# function keyword does not work in dash / sh
forever() {
# date
echo "Started SLEEPLONG=$SLEEPLONG SLEEPSHORT=$SLEEPSHORT"

while true
do

echo wget $URL
TT=`wget -O - --no-check-certificate $URL 2>/dev/null`
# strip :NNNN numeric TCP port suffix (to get servername)
ZZ=`echo ${TT%%:[0-9][0-9]*}`
# if [ "$TT" = "$ZZ" ] => not in server:port format
if [ "$TT" = "$ZZ" ]
then
	echo NOT good format
else
	echo socat tcp4-connect:localhost:$LPORT tcp4-connect:$TT
 	socat tcp4-connect:localhost:$LPORT tcp4-connect:$TT
fi

# sleep $SLEEPSHORT
# socat  tcp4-connect:localhost:$LPORT tcp4-connect:$SERVER:$RPORT
sleep $SLEEPLONG

done
}

forever > $LOGF 2>&1

